<!DOCTYPE html>
<html lang="fr">
  <head>
    <title>Labirinto</title>
    <meta charset="utf-8" />
    <link
      rel="icon"
      type="image/png"
      href="{{ SITEURL }}/theme/images/favicon.png"
    />
    <link
      rel="stylesheet"
      href="{{ SITEURL }}/theme/fontawesome/css/all.min.css"
    />
    <style>
      body {
        background-color: rgba(227, 237, 245, 1);
        padding-left: 5vw;
        padding-right: 5vw;
        padding-bottom: 5vw;
        font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
        color: rgb(35, 35, 35);
      }
      svg {
        vertical-align: middle;
        width: 100%;
        height: auto;
      }
      .shadowlogo {
        filter: drop-shadow(0.5vw 0.5vw 0.3vw rgba(0, 0, 0, 0.5));
      }
      menu,
      nav {
        display: block;
      }
      table {
        border-collapse: collapse;
        border-spacing: 0;
      }
      ol,
      ul {
        list-style: none;
      }
      .clearfix {
        clear: both;
      }
      nav {
        background: -webkit-gradient(
          linear,
          center top,
          center bottom,
          from(#fff),
          to(#ccc)
        );
        background-image: linear-gradient(#fff, #ccc);
        border-radius: 0.5vw;
        box-shadow: 0.3vw 0.3vw 0.5vw rgba(0, 0, 0, 0.4);
        padding: 0 1vw;
        position: relative;
        margin-top: 3vw;
        margin-bottom: 3vw;
        text-align: center;
      }

      .menu li {
        float: left;
        position: relative;
      }

      .menu li a {
        color: #444;
        display: block;
        font-size: 1.2vw;
        line-height: 1.5vw;
        padding: 0.5vw 1vw;
        margin: 0.4vw 0.4vw;
        vertical-align: middle;
        text-decoration: none;
      }

      .menu li a:hover {
        background: -webkit-gradient(
          linear,
          center top,
          center bottom,
          from(#ededed),
          to(#fff)
        );
        background-image: linear-gradient(#ededed, #fff);
        border-radius: 0.5vw;
        box-shadow: inset 0px 0px 1px 1px rgba(0, 0, 0, 0.1);
        color: #222;
      }

      /* Persistant Hover State */
      .menu li:hover a {
        background: -webkit-gradient(
          linear,
          center top,
          center bottom,
          from(#ccc),
          to(#ededed)
        );
        background-image: linear-gradient(#ccc, #ededed);
        border-radius: 0.5vw;
        box-shadow: inset 0px 0px 1px 1px rgba(0, 0, 0, 0.1);
        color: #222;
      }

      .menu li:hover ul a {
        background: none;
        border-radius: 0;
        box-shadow: none;
      }

      .menu li:hover ul li a:hover {
        background: -webkit-gradient(
          linear,
          center top,
          center bottom,
          from(#eee),
          to(#fff)
        );
        background-image: linear-gradient(#ededed, #fff);
        border-radius: 0.5vw;
        box-shadow: inset 0px 0px 0.2vw 0.1vw rgba(0, 0, 0, 0.3);
      }
      .menu-disabled {
        cursor: not-allowed;
      }
      .menu-disabled > a {
        pointer-events: none;
      }
    </style>
    {% block head %} {% endblock %}
  </head>
  <body>
    <div id="title">
      <img
        src="{{ SITEURL }}/theme/images/labirinto.svg"
        class="shadowlogo"
        alt="LABIRINTO"
        style="width: 100%"
      />
    </div>
    <div id="menu">
      <nav>
        <ul class="menu">
          <li id="niveau0">
            <a href="{{ SITEURL }}/"> <i class="fas fa-home"></i></a>
          </li>
          <li id="niveau1">
            <a href="{{ SITEURL }}/niveau_1.html"> Niveau 1</a>
          </li>
          <li id="niveau2">
            <a href="{{ SITEURL }}/niveau_2.html"> Niveau 2</a>
          </li>
          <li id="niveau3">
            <a href="{{ SITEURL }}/niveau_3.html"> Niveau 3</a>
          </li>
          <li id="niveau4">
            <a href="{{ SITEURL }}/niveau_4.html"> Niveau 4</a>
          </li>
          <li id="niveau5">
            <a href="{{ SITEURL }}/niveau_5.html"> Niveau 5</a>
          </li>
          <li><a href="{{ SITEURL }}/about.html"> À propos</a></li>
        </ul>
        <div class="clearfix"></div>
      </nav>
    </div>
    {% block content %} {% endblock %} {% block end_body %} {% endblock %}
    <script>
      function updateLevel(level) {
        for(var i=1; i <= 5; i++) {
          var elem = document.getElementById("niveau" + i);
          if(i <= level) {
            elem.classList.remove("menu-disabled");
          } else {
            elem.classList.add("menu-disabled");
          }
        }
      }

      window.addEventListener("uplevel", function () { updateLevel({{ niveau }}+1); });
      updateLevel(1);
    </script>
  </body>
</html>
